import { Component, OnInit } from '@angular/core';
import { AuthService } from './services/auth/auth.service';
import { SignalRService } from './services/signalr/signalr.service';
import { ThemeService } from './services/theme/theme.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

  constructor(
    public authService: AuthService,
    public themeService: ThemeService,
    private signalr: SignalRService,
  ) { }

  ngOnInit(): void {
    this.signalr.startSignalR();
    this.themeService.loadTheme();
    this.themeService.loadMenu();
  }
}
