import { Injectable } from '@angular/core';
import { MessageService } from 'primeng/api';
import { ToastOptions } from 'src/app/models/utils/toast-options';

@Injectable({
  providedIn: 'root'
})
export class ToastService {

  constructor(
    private messageService: MessageService
  ) { }

  private toast(type: string, summary: string, detail: string, options: ToastOptions = null) {
    this.messageService.add({
      severity: type,
      summary: summary,
      detail: detail,
      life: options ? options.life: null,
      sticky: options ? options.sticky: null,
      closable: options ? options.closable: null
    });
  }

  success(summary: string, detail: string, options: ToastOptions = null) {
    this.toast('success', summary, detail, options);
  }

  info(summary: string, detail: string, options: ToastOptions = null) {
    this.toast('info', summary, detail, options);
  }

  warn(summary: string, detail: string, options: ToastOptions = null) {
    this.toast('warn', summary, detail, options);
  }

  error(summary: string, detail: string, options: ToastOptions = null) {
    this.toast('error', summary, detail, options);
  }
}
